| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_VHostServices Class Reference

`#include <AAX_VHostServices.h>`

Inheritance diagram for AAX_VHostServices:
[legend]
Collaboration diagram for AAX_VHostServices:
[legend]

## Description

Version-managed concrete AAX_IHostServices class.

## Public Member Functions
| AAX_VHostServices (IACFUnknown *pUnkHost)
| ~AAX_VHostServices ()
AAX_Result | HandleAssertFailure (const char *iFile, int32_t iLine, const char *iNote, int32_t iFlags) const AAX_OVERRIDE
| Handle an assertion failure.
AAX_Result | Trace (int32_t iPriority, const char *iMessage) const AAX_OVERRIDE
| Log a trace message.
AAX_Result | StackTrace (int32_t iTracePriority, int32_t iStackTracePriority, const char *iMessage) const AAX_OVERRIDE
| Log a trace message or a stack trace.
Public Member Functions inherited from AAX_IHostServices
virtual | ~AAX_IHostServices ()
virtual AAX_Result | HandleAssertFailure (const char *iFile, int32_t iLine, const char *iNote, int32_t iFlags) const =0
| Handle an assertion failure.
virtual AAX_Result | Trace (int32_t iPriority, const char *iMessage) const =0
| Log a trace message.
virtual AAX_Result | StackTrace (int32_t iTracePriority, int32_t iStackTracePriority, const char *iMessage) const =0
| Log a trace message or a stack trace.

## Constructor & Destructor Documentation

## ◆ AAX_VHostServices()

AAX_VHostServices::AAX_VHostServices | ( | IACFUnknown * | pUnkHost | ) |

## ◆ ~AAX_VHostServices()

AAX_VHostServices::~AAX_VHostServices | ( |  | ) |

## Member Function Documentation

## ◆ HandleAssertFailure()

AAX_Result AAX_VHostServices::HandleAssertFailure | ( | const char * | iFile,
|  | int32_t | iLine,
|  | const char * | iNote,
|  | int32_t | iFlags
| ) |  | const
| virtual

Handle an assertion failure.

Use this method to delegate assertion failure handling to the host

Use `inFlags` to request that specific behavior be included when handling the failure. This request may not be fulfilled by the host, and absence of a flag does not preclude the host from using that behavior when handling the failure.

Parameters

  [in] | iFile | The name of the file containing the assert check. Usually `__FILE__`
  [in] | iLine | The line number of the assert check. Usually `__LINE__`
  [in] | iNote | Text to display related to the assert. Usually the condition which failed
  [in] | iFlags | Bitfield of AAX_EAssertFlags to request specific handling behavior

Implements AAX_IHostServices.

## ◆ Trace()

AAX_Result AAX_VHostServices::Trace | ( | int32_t | iPriority,
|  | const char * | iMessage
| ) |  | const
| virtual

Log a trace message.

Parameters

  [in] | iPriority | Priority of the trace, used for log filtering. One of kAAX_Trace_Priority_Low, kAAX_Trace_Priority_Normal, kAAX_Trace_Priority_High
  [in] | iMessage | Message string to log

Implements AAX_IHostServices.

## ◆ StackTrace()

AAX_Result AAX_VHostServices::StackTrace | ( | int32_t | iTracePriority,
|  | int32_t | iStackTracePriority,
|  | const char * | iMessage
| ) |  | const
| virtual

Log a trace message or a stack trace.

If the logging output filtering is set to include logs with `iStackTracePriority` then both the logging message and a stack trace will be emitted, regardless of `iTracePriority`.

If the logging output filtering is set to include logs with `iTracePriority` but to exclude logs with `iStackTracePriority` then this will emit a normal log with no stack trace.

Parameters

  [in] | iTracePriority | Priority of the trace, used for log filtering. One of kAAX_Trace_Priority_Low, kAAX_Trace_Priority_Normal, kAAX_Trace_Priority_High
  [in] | iStackTracePriority | Priority of the stack trace, used for log filtering. One of kAAX_Trace_Priority_Low, kAAX_Trace_Priority_Normal, kAAX_Trace_Priority_High
  [in] | iMessage | Message string to log

Implements AAX_IHostServices.

The documentation for this class was generated from the following file:

- AAX_VHostServices.h